%set_verify_elf_method textrel=relaxed

%define	plugindir	/usr/lib/vdr
%define pname 		subtitles

Name: vdr-%pname
Version: 0.1.4
Release: alt1

Summary: DVB subtitles decoder
Summary(ru_RU.UTF-8): Декодер DVB субтитров
License: GPL
Group: Video
URL: http://www.saunalahti.fi/~opvirtan/vdr/subtitles
Source0: %name-%version.tgz
Patch0: russian-%pname-%version.diff
BuildPreReq: kernel-headers-dvb vdr-devel 
BuildRequires: gcc-c++ libjpeg-devel libstdc++-devel vdr-devel
Requires: vdr

%description
DVB subtitles decoder. Records and displays DVB subtitles.

%description -l ru_RU.UTF-8
Декодер субтитров. Показывает и записывает субтитры в стандарте DVB.

%prep
%setup -c -q

# place everything in order
%__mkdir -p PLUGINS/src
%__mkdir -p PLUGINS/lib
%__cp %_includedir/vdr/* .
%__mv %pname-%version PLUGINS/src/%pname

%patch0 -p1

%build
%make plugins

%install
%__install -d %buildroot%plugindir
%__install PLUGINS/lib/* %buildroot%plugindir

%files
%plugindir/*
%doc PLUGINS/src/%pname/README

%changelog
* Mon Mar 22 2004 Vyacheslav Dikonov <slava@altlinux.ru> 0.1.4-alt1
- Initial build
